Bug 819581 - Remove JGroups backend code to follow the we ship it we support it policy
Remove JGroups backend code to follow the we ship it we support it policy
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: HibernateSearch (Show other bugs)
2.0.0.ER4
Unspecified Unspecified
unspecified Severity medium
: ---
: 2.0.0.ER6
Assigned To: Strong Liu
Karel Piwko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-07 11:38 EDT by Emmanuel Bernard
Modified: 2013-12-02 18:55 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-22 03:32:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Emmanuel Bernard 2012-05-07 11:38:05 EDT
JGroups is no longer part of the supported bits of WFK 2 / Hibernate Search.

We could remove the org.hibernate.search.backend.impl.jgroups and the potential dependencies in the code.
Comment 1 Strong Liu 2012-05-11 02:09:14 EDT
and hibernate-search-engine/src/main/resources/META-INF/service/org.hibernate.search.spi.ServiceProvider ?
Comment 2 Emmanuel Bernard 2012-05-11 04:12:17 EDT
yes you are correct the ServiceProvider file must be emptied or deleted
Comment 4 Emmanuel Bernard 2012-06-04 09:35:13 EDT
We could but it's of no major consequence if we leave it in. If someone tries to select "infinispan" this will raise an exception one way or the other in WFK.

Note You need to log in before you can comment on or make changes to this bug.